# Закат солнца вручную или разливка уробороса, пока нет ансибла.

1. Собрать: `make docker_rocky_build`

2. Залить все файлы на стенд:
```sh
scp ./manifest.pustoe.porojnee.yaml root@10.5.1.138:~/uroboros/manifest.yaml
scp ./migrations/0001_state.db root@10.5.1.138:~/uroboros/0001_state.db
scp ./liburoboros.so root@10.5.1.138:~/liburoboros.so
```

3. Зайти на стенд: `ssh  root@10.5.1.138`

4. На стенде есть два скрипта: `admin.sh`, `logs.sh` в хомяке. Оба принимают число и открывают админскую консоль или tail -f на логи. Т.к. инстансы у нас `1000, 1001, 1002`, то передавать надо `0, 1 или 2`. Сейчас мастер - 1000, но если будете рестартить ноды, может поменять.

5. Надо удалить плагин (да, обязательно; да, даже если ту же версию раскатываете; да, если только конфиг поменяли в манифесте)

```sh
~/admin.sh 0
```

В консоли пикодаты:

```lua
\lua
pico.disable_plugin("uroboros", "<version>")
pico.migration_down("uroboros", "<version>")
pico.remove_plugin("uroboros", "<version>")
```
6. Заливаем файлы в папку с плагинами

```sh
PLUGIN_DIR=/var/lib/picodata/.plugins/uroboros/<version>
mkdir -p $PLUGIN_DIR/*
rm -f $PLUGIN_DIR/*
cp -f ~/uroboros/* $PLUGIN_DIR/
```

7. Устанавливаем и запускаем. Лучше в соседнем окне держать открытыми логи на всех трёх инстансах и команду отключения наготове (`pico.disable_plugin("uroboros", "<version>"))`):

```sh
~/admin.lua 0
```
В консоли пикодаты:
```lua
pico.install_plugin("uroboros", "<version>")
pico.service_append_tier("uroboros", "<version>", "uroboros", "default")
pico.migration_up("uroboros", "<version>")
pico.enable_plugin("uroboros", "<version>")
```

Ждём сообщения в логах о том, что до запуска 3 секунды и радуемся :)