use picoplugin::system::tarantool::tlua;

#[derive(Debug, serde::Deserialize, serde::Serialize, tlua::Push, tlua::PushInto)]
pub struct DMLDelete {
    pub space: String,
    pub key: Vec<u8>,
}

#[derive(Debug, serde::Deserialize, serde::Serialize, tlua::Push, tlua::PushInto)]
pub struct DMLReplace {
    pub space: String,
    pub tuple: Vec<u8>,
}

#[derive(Debug, serde::Deserialize, serde::Serialize, tlua::Push, tlua::PushInto)]
pub enum DML {
    Delete(DMLDelete),
    Replace(DMLReplace),
}
