package = "uroboros"
version = "scm-1"
source = {
   url = "git+ssh://git@git.picodata.io/picodata/uroboros",
   branch = "master"
}
description = {
   summary = "Uroboros sidecar role for Cartridge applications"
}
dependencies = {
   "tarantool",
   "lua >= 5.1",
   "cartridge == 2.7.9-1",
   "cartridge-metrics-role",
}
build = {
   type = "make",
   build_target = "build_cartridge_engine_release",
   install_target = "install_release",
   install_variables = {
      LIBDIR = "$(LIBDIR)",
      LUADIR = "$(LUADIR)",
      PROJECT_NAME = "uroboros"
   }
}
