local function init(opts) -- luacheck: no unused args
    box.once("create_user", function()
        box.schema.user.grant('guest', 'super')
        box.schema.user.create('uroboros', { password = 'password' })
        box.schema.user.grant('uroboros', 'read,write,create,alter,drop,execute,session', 'universe')
    end)

    if opts.is_master then
        box.ctl.promote()
    end

    return true
end

local function stop()
    return true
end

local function validate_config(conf_new, conf_old) -- luacheck: no unused args
    return true
end

local function apply_config(conf, opts) -- luacheck: no unused args
    return true
end

return {
    role_name = 'app.roles.storage_right',
    init = init,
    stop = stop,
    validate_config = validate_config,
    apply_config = apply_config,
    dependencies = {'uroboros.roles.replicator'},
}
